package edu.ycp.cs.cs496.cs496_lab16.persist;
import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;


public class MySQLiteHelper extends SQLiteOpenHelper {
	  public static final String TABLE_NOTES = "notes";
	  public static final String COLUMN_ID = "_id";
	  public static final String COLUMN_TEXT = "note";

	  private static final String DATABASE_NAME = "notes.db";
	  private static final int DATABASE_VERSION = 1;

	  // TODO: Database creation sql statement
	  private static final String DATABASE_CREATE = "";
	  
	  // Context
	  private static Context mContext;

	  public MySQLiteHelper(Context context) {
		  super(context, DATABASE_NAME, null, DATABASE_VERSION);
		  mContext = context;
	  }
	  
	  @Override
	  public void onCreate(SQLiteDatabase database) {
		  // TODO: Create new database

		  // TODO: Add initial data
	  }

	  @Override
	  public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
	    Log.w(MySQLiteHelper.class.getName(),
	        "Upgrading database from version " + oldVersion + " to "
	            + newVersion + ", which will destroy all old data");
	    db.execSQL("DROP TABLE IF EXISTS " + TABLE_NOTES);
	    onCreate(db);
	  }

}
